Page MenuHomePhabricator

[CodeGen] Emit smaller exception tables for non-SJLJ mode
ClosedPublic

Authored by rprichard on Feb 6 2018, 6:57 PM.

Details

Reviewers
espindola
Summary
  • Use uleb128 for code offsets in the LSDA call site table.
  • Omit the TTBase offset if the type table is empty.

This change can reduce the size of the DWARF/Itanium LSDA by about half.

Diff Detail

Event Timeline

rprichard created this revision.Feb 6 2018, 6:57 PM
espindola accepted this revision.Feb 7 2018, 9:35 AM

LGTM. Taking a look at the other one.

This revision is now accepted and ready to land.Feb 7 2018, 9:35 AM
espindola closed this revision.Feb 9 2018, 9:16 AM

r324750.